
Redmine - Defect #4721

Subprojects list error after redmine update(0.8.7-->0.9.1)

2010-02-03 07:57 - Ilya Kolosov

Status: Closed Start date: 2010-02-03

Priority: High Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

After upgrade(0.8.7-->0.9.1), the tab "Projects" produces an error:

NoMethodError in Projects#index

Showing app/views/projects/index.rhtml where line #9 raised:

undefined method `<' for nil:NilClass

Extracted source (around line #9):

6:

7: <h2><%=l(:label_project_plural)%></h2>

8:

9: <%= render_project_hierarchy(Projects Projects)%>

10:

11: <% if User.current.logged? %>

12: <p style="text-align:right;">

Previously, we had a subprojects.

Related issues:

Has duplicate Redmine - Defect #4735: Update from 0.8.7 to 0.9.1 Closed 2010-02-04

History

#1 - 2010-02-04 19:59 - Jean-Philippe Lang

Please try to run:

ruby script/runner -e production 'Project.rebuild!'

 from your Redmine directory.

#2 - 2010-02-05 05:31 - Ilya Kolosov

- Status changed from New to Resolved

- % Done changed from 0 to 100

thanks!

#3 - 2010-02-09 03:40 - Eric Davis

- Status changed from Resolved to Closed

- Resolution set to Invalid
